jvx.primitive

## Class PuIntervalDescr

- java.lang.Object
- - jv.object.PsObject
  - - jvx.primitive.PuIntervalDescr

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PuIntervalDescr
      extends PsObject

  Interval used as one-dimensional domain with variable size and discretization. Info panel allows to adjust size and discretization of interval. An interval in R^1 is the segment `[uMin,vMin]` with `numULines` sample points in u-horizontal direction.
  Since:
    JavaView 3.50.002
  See Also:
    `PgDomainDescr`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    09.03.15, 2.00 revised (kp) Moved to jvx.primitive from dev.primitive.
    31.07.04, 1.00 created (kp) Based on PgDomainDescr.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PuIntervalDescr()` Create a new domain descriptor of a planar rectangle and its discretization.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Duplicate geometry by recursively cloning all instance variables except inspector panels and lists of registered listeners.
    `void` | `copy(PsObject object)` Copy a geometry into this geometry.
    `double` | `eval(int ind)` Compute position in interval at given grid point.
    `int` | `getDiscr()` Get number of sample points.
    `double` | `getUMax()`
    `double` | `getUMin()`
    `void` | `init()` Initialize and reset data structure and all instance variables.
    `boolean` | `isShowingULine()` Check whether single u-line is showing or full surface.
    `void` | `setDiscr(int num)` Set number of sample points.
    `void` | `setDiscrBounds(int uMin, int uMax)` Set bounds of discretization sliders.
    `void` | `setMaxSize(double uMin, double uMax)` Set maximal size of domain in u/v direction to the rectangle `[uMin,vMin]x[uMax,vMax]`.
    `void` | `setSize(double uMin, double uMax)` Set current size of domain in u/v direction to the rectangle `[uMin,vMin]x[uMax,vMax]`.
    `void` | `setUMax(double uMax)`
    `void` | `setUMin(double uMin)`
    `void` | `showULine(boolean flag)` Switch between showing a single u-parameter line and the full surface.
    `java.lang.String` | `toString()` Create a multi-line string representation with detailed information about all instance variables.
    `boolean` | `update(java.lang.Object event)` Catch all events from integer and double instance variables.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PuIntervalDescr

          public PuIntervalDescr()

      Create a new domain descriptor of a planar rectangle and its discretization.

      Note, currently the dimension of the rectangle must be 2.

  - ### Method Detail

    - #### init

          public void init()

      Initialize and reset data structure and all instance variables.
      Overrides:
        `init` in class `PsObject`

    - #### clone

          public java.lang.Object clone()

      Duplicate geometry by recursively cloning all instance variables except inspector panels and lists of registered listeners. The parent relationship is maintained only within this class but not to external classes.
      Overrides:
        `clone` in class `PsObject`
      See Also:
        `copy(PsObject)`
      Version:
        16.01.04, 1.00 created (kp)

    - #### copy

          public void copy(PsObject object)

      Copy a geometry into this geometry.
      Overrides:
        `copy` in class `PsObject`
      See Also:
        `PsObject.clone()`
      Version:
        16.01.04, 1.00 created (kp)

    - #### toString

          public java.lang.String toString()

      Create a multi-line string representation with detailed information about all instance variables.
      Overrides:
        `toString` in class `PsObject`
      Version:
        17.01.04, 1.00 created (kp)

    - #### update

          public boolean update(java.lang.Object event)

      Catch all events from integer and double instance variables.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### isShowingULine

          public boolean isShowingULine()

      Check whether single u-line is showing or full surface.

    - #### showULine

          public void showULine(boolean flag)

      Switch between showing a single u-parameter line and the full surface.

    - #### setMaxSize

          public void setMaxSize(double uMin,
                                 double uMax)

      Set maximal size of domain in u/v direction to the rectangle `[uMin,vMin]x[uMax,vMax]`.

    - #### setSize

          public void setSize(double uMin,
                              double uMax)

      Set current size of domain in u/v direction to the rectangle `[uMin,vMin]x[uMax,vMax]`.

    - #### getUMin

          public double getUMin()

    - #### setUMin

          public void setUMin(double uMin)

    - #### getUMax

          public double getUMax()

    - #### setUMax

          public void setUMax(double uMax)

    - #### getDiscr

          public int getDiscr()

      Get number of sample points.

    - #### setDiscr

          public void setDiscr(int num)

      Set number of sample points.

    - #### setDiscrBounds

          public void setDiscrBounds(int uMin,
                                     int uMax)

      Set bounds of discretization sliders.

    - #### eval

          public double eval(int ind)

      Compute position in interval at given grid point.
      Parameters:
        `ind` - index of interval vertex at which to evaluate.
      Returns:
        value on interval.

"

The software JavaView? is copyright protected. All Rights Reserved.
"